# sit-lnx.gitea
Deploy a gitea (git with a cup of tea) instance.

## Role Variables
```yaml
gitea_user: "gitea_adm"
gitea_user_home: "/home/{{ gitea_user }}"
gitea_group: "{{ gitea_user }}"
gitea_packages: ["git"]

# Create separate LVM storage for gitea
gitea_lvm_enabled: False
# This variables are only necessary if gitea_lvm_enabled is 'True'
# Set physical volumes to use in LVM
gitea_lvm_pvs: #['/dev/sdb', '/dev/sdc']
gitea_lvm_vg:  #"vg_gitea"
gitea_lvm_lv: #"lv_gitea"
gitea_lvm_size: #"50G"

gitea_base_dir: "/opt/gitea"
gitea_bin_dir: "{{ gitea_base_dir }}/bin"
gitea_config_dir: "{{ gitea_base_dir }}/custom/conf"
gitea_data_dir: "{{ gitea_base_dir }}/data"
gitea_log_dir:  "{{ gitea_base_dir }}/log"

gitea_bind_url: localhost
gitea_bind_port: 61000
gitea_bind_protocol: http

gitea_db_type: #mysql, postgres, sqlite, mssql
gitea_db_host: #dbserver
gitea_db_port: #5432
gitea_db_name: #gitea
gitea_db_user: #gitea
gitea_db_passwd: #password

# Variables containing the tls cert/private key
gitea_tls_chained_cert: #"{{ my_vaulted_cert }}"
gitea_tls_priv_key: #"{{ my_vaulted_key }}"

gitea_install_lock: true
# This secret is publicly known and should not used in production!
# Use host_vars/group_vars and ansible vault to deploy a strong secret
gitea_secret: "1234567ABCDEFG"
gitea_run_mode: prod
gitea_landing_page: explore
gitea_disable_registration: true
gitea_log_level: Debug
```

## Examples
### Playbook
```yaml
- hosts: gitea

  roles:
    - xoxys.nginx
    - xoxys.gitea

```

## Dependencies
None. It is recommendet to deploy gitea with nginx as reverse proxy.
